Batch delete annotations
curl --request POST \
--url https://{region}.affinda.com/v3/annotations/batch_delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
1
]'import requests
url = "https://{region}.affinda.com/v3/annotations/batch_delete"
payload = [1]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([1])
};
fetch('https://{region}.affinda.com/v3/annotations/batch_delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"validationResults": {}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Annotations
Batch delete annotations
Batch delete annotations
POST
/
v3
/
annotations
/
batch_delete
Batch delete annotations
curl --request POST \
--url https://{region}.affinda.com/v3/annotations/batch_delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
1
]'import requests
url = "https://{region}.affinda.com/v3/annotations/batch_delete"
payload = [1]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([1])
};
fetch('https://{region}.affinda.com/v3/annotations/batch_delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"validationResults": {}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
Annotation's ID
Required range:
x >= 1Response
Successfully deleted annotations.
The validation results created, changed or deleted as a result of deleting the annotations.
Was this page helpful?
⌘I